<!--
Copyright (c) 2004-2005, woah-projekt.de
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:

* Redistributions of source code must retain the above copyright
  notice, this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer
  in the documentation and/or other materials provided with the
  distribution.
* Neither the name of the phpmysig project (woah-projekt.de)
  nor the names of its contributors may be used to endorse or
  promote products derived from this software without specific
  prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
!-->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
       "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
  <?php
    //get variables
    include 'settings/config.inc.php';
    include 'settings/style.inc.php';
    include 'languages/'.$lang.'.inc.php';
  ?>
  <title><?php echo $user; ?>'s intelligent signature</title>
  </head> 
  
  <body>
  <p class="heading1">Weidi's <?php echo $lang_sig_heading; ?></p>
  <p class="heading2"><?php echo $lang_new_entry; ?>:</p>
  <br>
  <?php
  //write to database
  if ($_GET['action'] == 1){

      //get posted variables
      $name = $_POST['name'];
      $text = substr($_POST['text'],0,180);
      $name = str_replace("\n","",$name);
      $name = preg_replace ( "/\r/", "", $name);
      $text = str_replace("\n","",$text);
      $text = preg_replace ( "/\r/", "", $text);
    
      $time = time();
    
      //get id
      $guestbook_db = file('guestbook.db');
      $id = ($guestbook_db[(count($guestbook_db) - 4)] + 1);
    
      $guestbook_new = "\n".$id."\n".$name."\n".$time."\n".$text;
    
      //write into database
      fwrite(fopen('guestbook.db','a'), $guestbook_new);
    
      echo $lang_writed;
  }
  else {
  ?>
  <form action="newentry.php?action=1" method="post">
    <input onFocus="if (this.value=='<?php echo $lang_nick; ?>') {this.value='';}" class="form_text" maxlength="20" type="text" value="<?php echo $lang_nick; ?>" name="name" size="20"><br>
    <textarea onFocus="if (this.value=='<?php echo $lang_textbox; ?>') {this.value='';}" class="form_area" name="text"><?php echo $lang_textbox; ?></textarea>
    <input class="form_submit" type="submit" name="submit" value="<?php echo $lang_add; ?>">
  </form>
  <?php
  }
  ?>
  <br><br>
  <a class="link" target="_blank" href="http://www.woah-projekt.de">written by woah-projekt</a>
  </body>
</html>